.sell-property {
    width: 100% !important;
    min-height: 68vh;
    height: 100%;
    margin: 30px 0 ;
    position: relative;
    overflow-x: hidden;
}

.sell-property > div {
    display: flex;
}

.sell-property h2 {
    margin: 0 auto;
    width: 80%;
    text-align: center;
    font-size: 2rem;
    font-weight: 500;
    font-family: var(--font-buy);
    color: var(--blue);
}

.block-data-sell-property {
    width: 60%;
    min-width: 245px;
    max-width: 290px;
    min-height: 220px;
    height: 100%;
    box-shadow: 0 3px 7px 0 rgba(0,0,0,0.75);
    transition: 0.1s ease-out;
    margin-bottom: 20px;
}

.block-data-sell-property:hover {
    scale: 1.05;
    transition: 0.3s;
    box-shadow: 0 5px 10px 0 var(--green);
}

.block-data-sell-property > img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.block-data-sell-property > div > div {
    padding: 5px 20px 0 5px;
    height: 100%;
    min-height: 120px;
    display: flex;
    flex-direction: column;
}

.block-data-sell-property > div > div > h4 {
    font-size: 1em;
    margin-bottom: 0;
    font-weight: 500;
    color: var(--blue);
}

.block-data-sell-property > div > div > h5 {
    font-size: 0.7em;
    margin-bottom: 5px;
}

.block-data-sell-property > div > div > p {
    font-size: 1em;
    color: var(--green);
}

.block-data-sell-property > div{
    display: flex;
    align-items: flex-end;
    justify-content: space-around;
    max-height: 125px;
}

.block-data-sell-property > div > a {
    margin: 0 10px 5px 0;
    padding: 5px;
    border-radius: 5px;
    border: 1px solid var(--green);
    transition: 0.2s ease-in-out;
    height: 60px;
    width: 30%;
    text-align: center;
}

.block-data-sell-property > div > a:hover{
    background-color: var(--green);
    color: white;
    transition: 0.3s;
}

.sell-property-icone-slide {
    width: 100%;
    height: 100px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.sell-property-icone-slide > img {
    width: 20%;
    min-width: 20px;
    max-width: 35px;
}

.sell-property .owl-dots {
    display: none;
}


/* Filters */
.sell-property-block-filters {
    margin-top: 100px;
    margin-right: auto;
    margin-left: auto;
    width: 80%;
    height: auto;
    /*max-height: 500px;*/
    padding: 20px;
    box-shadow: 0 3px 7px 0 rgba(0,0,0,0.75);
    border-radius: 0 15px 15px 15px;
}

.sell-property-block-filters > div {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    row-gap: 30px;
}

.block-filter-input {
    width: 30%;
    min-width: 170px;
    position: relative;
}

.block-filter {
    width: auto;
    padding: 10px;
    display: flex;
    box-shadow: 0 1px 5px 0 rgba(0,0,0,0.5);
    background-color: var(--green);
    font-weight: 500;
    font-size: 0.87em;
    color: var(--white);
    justify-content: center;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.block-filter > .seta {
    height: 15px;
}

#TypeImovel, #SubTypeImovel, #Localizacao {
    display: none;
    position: absolute;
    z-index: 20;
    background: var(--blue);
    width: 100%;
}

#TypeImovel > div , #SubTypeImovel > div, #Localizacao > div {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#TypeImovel > div > label, #SubTypeImovel > div > label, #Localizacao > div > label {
    padding: 5px 0;
    font-size: 0.9em;
    font-weight: 500;
    font-family: var(--font-buy);
}

#TypeImovel > div > label:hover, #SubTypeImovel > div > label:hover, #Localizacao > div > label:hover {
    color: var(--green);
    cursor: pointer;
}

.blue-card {
    max-height: 35vh;
    overflow-y: scroll;
}

.blue-card::-webkit-scrollbar {
    width: 3px;
}

.blue-card::-webkit-scrollbar-track {
    background: var(--green);
}

.blue-card::-webkit-scrollbar-thumb {
    background: var(--white);
}

input[type="radio"] {
    display: none;
}

input[type="radio"]:checked + label {
    color: var(--green);
}

.input-value-buy {
    padding: 10px 5px;
    width: 30%;
    min-width: 170px;
    height: 50px;
    border: 2px solid var(--green);
}

.input-valor-inside {
    width: 68%;
}

@media(max-width: 785px) {
    .input-valor-inside {
        width: 60%;
    }
}

.input-area {
    width: 55%;
}

@media (max-width: 900px) {
    .input-area {
        width: 45%;
    }
}

.input-value-buy > label {
    color: var(--blue);
    font-weight: 500;
    font-family: var(--font-buy);
    font-size: 0.9em;
}

.input-search-buy {
    padding: 10px;
    width: 30%;
    min-width: 170px;
    height: 50px;
    background-color: transparent;
    border: 2px solid var(--green);
    color: var(--black);
    transition: 0.3s;
    font-weight: 500;
    font-family: var(--font-buy);
    font-size: 0.9em;
}

.input-search-buy:hover {
    background-color: var(--blue);
    border: 2px solid var(--blue);
    color: var(--white);
    box-shadow: 0 1px 5px 0 rgba(0,0,0,0.5);
    cursor: pointer;
    transition: 0.3s ease-in;
}

.range-container-buy-property {
    display: flex;
    flex-direction: column;
    width: 30%;
    min-width: 170px;
}

.range-container-buy-property > label {
    color: var(--blue);
    font-weight: 500;
    font-family: var(--font-buy);
    font-size: 0.9em;
}

input[type=range] {
    height: 20px; /* altura que utiliza */
    -webkit-appearance: none;
    margin: 10px 0;
    width: 140px;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    animate: 0.2s;
    background: var(--blue);
    border-radius: 1px;
}

input[type=range]::-webkit-slider-thumb { /* Quadrado do input */
    box-shadow: 0 1px 8px var(--green);
    border: 2px solid var(--green);
    height: 20px;
    width: 20px;
    border-radius: 0;
    background: var(--white);
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -7px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: var(--blue);
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    background: var(--blue);
    border-radius: 1px;

}

input[type=range]::-moz-range-thumb {
    height: 26px;
    width: 26px;
    border-radius: 15px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]::-ms-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: var(--blue);
    border-radius: 2px;
}

input[type=range]::-ms-fill-upper {
    background: #727272;
    border: 0px solid #010101;
    border-radius: 2px;
    box-shadow: 1px 1px 1px #000000;
}

input[type=range]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 1px 1px 1px #000031;
    border: 1px solid #00001E;
    height: 26px;
    width: 26px;
    border-radius: 15px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
    background: var(--blue);
}

input[type=range]::-ms-fill-upper {
    background: #ccc;
}

#resultadoTempoReal {
    margin-left: 60px;
}

.bloco-input {
    box-shadow: 0px 1px 1px var(--gren);
    border: 1px solid var(--gren);
    height: 18px;
    width: 18px;
    margin-top: 9px;
    background: #FFFFFF;
}

.input-range-container {
    display: flex;
}

.input-label-container {
    margin-left: 10px;
}

.buy-property-checkbox-filters {
    text-align: center;
}

.buy-property-checkbox-filters > div {
    display: none;
    row-gap: 10px;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: justify;
}

.buy-property-checkbox-filters > div > div {
    width: 33%;
    min-width: 120px;
    padding: 0 10px;
}

.radio-input {
    all: unset;
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    background: var(--green);
    cursor: pointer;
    color: white;
}


.radio-input.radio1::before {
    margin-left: 7px;
    content: "1";
}

.radio-input.radio2::before {
    margin-left: 7px;
    content: "2";
}

.radio-input.radio3::before {
    margin-left: 7px;
    content: "3";
}

.radio-input.radio4::before {
    margin-left: 2px;
    content: "4+";
}

.radio-input.radio1:checked::after {
    position: relative;
    left: -7.9px;
    content: "1";
}

.radio-input.radio2:checked::after {
    position: relative;
    left: -7.9px;
    content: "2";
}

.radio-input.radio3:checked::after {
    position: relative;
    left: -7.9px;
    content: "3";
}

.radio-input.radio4:checked::after {
    position: relative;
    left: -15.9px;
    content: "4+";
}

.radio-input:checked::after {
    color: var(--blue);
}

.radio-container input[type=radio]:checked + label {
    color: var(--blue);
}

.checkbox-container label {
    color: var(--green);
    font-weight: 500;
    font-family: var(--font-buy);
    font-size: 1em;
}

.name-block-filters {
    color: var(--green);
    font-weight: 400;
    font-family: var(--font-buy);
    font-size: 1em;
    border: 2px solid var(--green);
    width: 30%;
    min-width: 170px;
    margin: 30px auto 15px auto;
    height: 50px;
    text-align: center;
    cursor: pointer;
    transition: 0.4s ease-out;
    display: flex;
    align-items: center;
    justify-content: center;
}

.name-block-filters:hover {
    background: var(--green);
    color: var(--white);
    transition: 0.3s;
}

@media (max-width: 700px) {
    .fake-col-wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 780px) {
    .buy-property-checkbox-filters > div > div {
        width: 50%;
    }
}

@media (max-width: 480px) {
    .buy-property-checkbox-filters > div > div {
        width: 100%;
    }
}
